### Signal

# GSSDP.ResourceBrowser::resource-unavailable

#### Declaration

    void
    resource_unavailable (
      GSSDPResourceBrowser self,
      gchar* usn,
      gpointer user_data
    )

#### Description [src]

The ::resource-unavailable signal is emitted whenever a resource is not available any more.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`usn` | `gchar*`
| The USN of the resource
| The data is owned by the caller of the function
| The string is a NUL terminated UTF-8 string